#ifndef PROB_H
#define PROB_H




#define NMaxCharactersProblem 40
#define NMaxCharactersSymptom 100
#define NMaxProblems 92
#define NMaxSymptoms 144
#define NProblemsInitiallList 5
#define NLines 18




typedef struct ProblemSymptomType {
          int Number;
          int times;
          float Likehood;
          struct ProblemSymptomType *Next;
          };

struct ProblemSymptomType  *SymptomsProblem[NMaxProblems];

int Problem_Times[NMaxProblems];
int NumberofProblems,NumberofSymptoms;
char ProblemName[NMaxProblems][NMaxCharactersProblem];  /*starrt from 1*/
char SymptomName[NMaxSymptoms][NMaxCharactersSymptom];


void PDB();

void ReadFromFile(void);

void NormalizePriorProbability(void);

void CalculateProbabilitySymptoms(void);

void CalculateProbabilitiesProblems(void);

void OrderProblemsByProbability(void);

void ListProblemsByProbability(void);

void Diagnosis_START(void);
 
int SearchProblem(char Name2[NMaxCharactersProblem]);

int SearchSymptom(char Name1[NMaxCharactersSymptom]);

void SaveInFile(void);


#endif

