#include <iostream.h> 
  
#include "rule.h"

/*
  member function for premise
*/

void PremiseType::set_Object(ObjectType *Obj)
{
  IN_Object=Obj;
}

void PremiseType::set_Value(char *Obj_Value)
{
  strcpy(IN_Value,Obj_Value);
}

void PremiseType::set_Next(PremiseType *Next_Obj)
{
  IN_Next=Next_Obj;
}

void PremiseType::set_Operation(int oper)
{
  operation=oper;
}

void PremiseType::set_Int(int val)
{
  int_val=val;
}

ObjectType *PremiseType::Object()
{
  return(IN_Object);
}

char *PremiseType::Value()
{
  return(IN_Value);
}

PremiseType *PremiseType::Next()
{
  return(IN_Next);
}

int PremiseType::Op()
{
  return(operation);
}

int PremiseType::INT_Value()
{
  return(int_val);
}

/*
  member function for Conclusion
*/

void ConclusionType::set_Object(ObjectType *Obj)
{
  IN_Object=Obj;
}

void ConclusionType::set_Value(char *Obj_Value)
{
  strcpy(IN_Value,Obj_Value);
}

ObjectType *ConclusionType::Object()
{
  return(IN_Object);
}

char *ConclusionType::Value()
{
  return(IN_Value);
}


/*
  member function for Rule
*/
void RuleType::set_Name(char *Rule_Name)
{
  strcpy(IN_Name,Rule_Name);
}

void RuleType::set_Premise(PremiseType *PremisePtr)
{
  IN_Premise=PremisePtr;
}

void RuleType::set_Conclusion(ConclusionType *ConclusionPtr)
{
  IN_Conclusion=ConclusionPtr;
}

void RuleType::set_Next(RuleType *Next_Rule)
{
  IN_Next=Next_Rule;
}

char *RuleType::Name()
{
  return(IN_Name);
}

PremiseType *RuleType::Premise()
{ 
  return(IN_Premise);
}

ConclusionType *RuleType::Conclusion()
{
  return(IN_Conclusion);
}

RuleType *RuleType::Next()
{
  return(IN_Next);
}

