#define ASN1_SEQ      0x30             /*sequence object       */
#define ASN1_INT      0x02             /*integer(small integer)*/
#define ASN1_OCTSTR   0x04             /*octet string          */
#define ASN1_NULL     0x05             /*null                  */
#define ASN1_OBJID    0x06             /*object identifier     */
#define ASN1_IPADDR   0x40             /*ip address            */
#define ASN1_COUNTER  0x41             /*counter               */
#define ASN1_GAUGE    0x42             /*gauge                 */
#define ASN1_TIMETICKS 0x43            /*time ticks            */


#define PDU_GET       0xA0             /* get request          */
#define PDU_GETN      0xA1             /* get-next request     */
#define PDU_RESP      0xA2             /* response             */
#define PDU_SET       0xA3             /* set requet           */
#define PDU_TRAP      0xA4             /* trap message         */


